Name:		drumstick
Summary:	C++/Qt4 wrapper around the ALSA library sequencer interface
Version:	0.5.0
Release:	%mkrel 3
Group:		Development/C++
License:	GPLv2+
URL:		http://drumstick.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.bz2
Patch0:		drumstick-0.5.0-X11-dso.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	alsa-lib-devel
# to build the manpages
BuildRequires:	docbook-style-xsl xsltproc
BuildRequires:	shared-mime-info

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt4 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%package devel
Summary: Developer files for %{name}
Group:   Development/C++
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.


%package examples
Summary: Example programs for %{name}
Group:   Development/C++
Requires: %{name} = %{version}-%{release}

%description examples
This package contains the test/example programs for %{name}.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .X11-dso

%build
%cmake
%make

%install
%makeinstall_std -C build


%files
%doc ChangeLog COPYING
%{_datadir}/mime/packages/drumstick.xml
%{_libdir}/libdrumstick-alsa.so.0*
%{_libdir}/libdrumstick-file.so.0*

%files devel
%{_libdir}/libdrumstick*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/drumstick/
%{_includedir}/drumstick.h

%files examples
%{_bindir}/drumstick-*
%{_datadir}/applications/drumstick-*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}-*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-3.mga3
+ Revision: 349120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 sander85 <sander85> 0.5.0-2.mga3
+ Revision: 298695
- Fix build

* Thu Apr 07 2011 ennael <ennael> 0.5.0-1.mga1
+ Revision: 81962
- add missing build require
- clean spec file

  + ahmad <ahmad>
    - imported package drumstick

